cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachments": [
{
"autodeskUrn": {
"urn": "<string>"
},
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123
}
],
"kind": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments"
payload = {
"attachments": [
{
"autodeskUrn": { "urn": "<string>" },
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": ["<string>"],
"allowlisted": True,
"belongsToDomain": True,
"email": "<string>",
"googleEmailAddress": True,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": True
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123
}
],
"kind": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attachments: [
{
autodeskUrn: {urn: '<string>'},
fileId: '<string>',
iconLink: '<string>',
kind: '<string>',
link: '<string>',
md5Checksum: '<string>',
mimeType: '<string>',
name: '<string>',
permissionsOnDrive: [
{
additionalRoles: ['<string>'],
allowlisted: true,
belongsToDomain: true,
email: '<string>',
googleEmailAddress: true,
kind: '<string>',
name: '<string>',
permissionId: '<string>',
role: '<string>',
thumbnailPhotoUrl: '<string>',
type: '<string>',
withLink: true
}
],
publishedLink: '<string>',
resourceKey: '<string>',
revisionId: '<string>',
size: 123
}
],
kind: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachments' => [
[
'autodeskUrn' => [
'urn' => '<string>'
],
'fileId' => '<string>',
'iconLink' => '<string>',
'kind' => '<string>',
'link' => '<string>',
'md5Checksum' => '<string>',
'mimeType' => '<string>',
'name' => '<string>',
'permissionsOnDrive' => [
[
'additionalRoles' => [
'<string>'
],
'allowlisted' => true,
'belongsToDomain' => true,
'email' => '<string>',
'googleEmailAddress' => true,
'kind' => '<string>',
'name' => '<string>',
'permissionId' => '<string>',
'role' => '<string>',
'thumbnailPhotoUrl' => '<string>',
'type' => '<string>',
'withLink' => true
]
],
'publishedLink' => '<string>',
'resourceKey' => '<string>',
'revisionId' => '<string>',
'size' => 123
]
],
'kind' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments"
payload := strings.NewReader("{\n \"attachments\": [\n {\n \"autodeskUrn\": {\n \"urn\": \"<string>\"\n },\n \"fileId\": \"<string>\",\n \"iconLink\": \"<string>\",\n \"kind\": \"<string>\",\n \"link\": \"<string>\",\n \"md5Checksum\": \"<string>\",\n \"mimeType\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionsOnDrive\": [\n {\n \"additionalRoles\": [\n \"<string>\"\n ],\n \"allowlisted\": true,\n \"belongsToDomain\": true,\n \"email\": \"<string>\",\n \"googleEmailAddress\": true,\n \"kind\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionId\": \"<string>\",\n \"role\": \"<string>\",\n \"thumbnailPhotoUrl\": \"<string>\",\n \"type\": \"<string>\",\n \"withLink\": true\n }\n ],\n \"publishedLink\": \"<string>\",\n \"resourceKey\": \"<string>\",\n \"revisionId\": \"<string>\",\n \"size\": 123\n }\n ],\n \"kind\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachments\": [\n {\n \"autodeskUrn\": {\n \"urn\": \"<string>\"\n },\n \"fileId\": \"<string>\",\n \"iconLink\": \"<string>\",\n \"kind\": \"<string>\",\n \"link\": \"<string>\",\n \"md5Checksum\": \"<string>\",\n \"mimeType\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionsOnDrive\": [\n {\n \"additionalRoles\": [\n \"<string>\"\n ],\n \"allowlisted\": true,\n \"belongsToDomain\": true,\n \"email\": \"<string>\",\n \"googleEmailAddress\": true,\n \"kind\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionId\": \"<string>\",\n \"role\": \"<string>\",\n \"thumbnailPhotoUrl\": \"<string>\",\n \"type\": \"<string>\",\n \"withLink\": true\n }\n ],\n \"publishedLink\": \"<string>\",\n \"resourceKey\": \"<string>\",\n \"revisionId\": \"<string>\",\n \"size\": 123\n }\n ],\n \"kind\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attachments\": [\n {\n \"autodeskUrn\": {\n \"urn\": \"<string>\"\n },\n \"fileId\": \"<string>\",\n \"iconLink\": \"<string>\",\n \"kind\": \"<string>\",\n \"link\": \"<string>\",\n \"md5Checksum\": \"<string>\",\n \"mimeType\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionsOnDrive\": [\n {\n \"additionalRoles\": [\n \"<string>\"\n ],\n \"allowlisted\": true,\n \"belongsToDomain\": true,\n \"email\": \"<string>\",\n \"googleEmailAddress\": true,\n \"kind\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionId\": \"<string>\",\n \"role\": \"<string>\",\n \"thumbnailPhotoUrl\": \"<string>\",\n \"type\": \"<string>\",\n \"withLink\": true\n }\n ],\n \"publishedLink\": \"<string>\",\n \"resourceKey\": \"<string>\",\n \"revisionId\": \"<string>\",\n \"size\": 123\n }\n ],\n \"kind\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"acl": [
{
"allow": [
"<string>"
],
"for": [
"<string>"
],
"kind": "<string>"
}
],
"attachmentFields": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"metadata": {
"attachments": [
{
"drive": {
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>"
},
"id": "<string>",
"kind": "<string>",
"mimeType": "<string>",
"name": "<string>",
"oss": {
"downloadLink": "<string>",
"kind": "<string>"
},
"size": 123,
"storageType": "OSS"
}
],
"kind": "<string>"
},
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
"<string>"
]
}
],
"attachments": [
{
"autodeskUrn": {
"status": "READY",
"urn": "<string>"
},
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123,
"storageLocation": "DRIVE"
}
],
"attachmentsToCopy": [
{
"autodeskUrn": {
"status": "READY",
"urn": "<string>"
},
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123,
"storageLocation": "DRIVE"
}
],
"categories": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"categoryDefinition": {
"description": "<string>",
"dynamicValues": true,
"folder": true,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"levelNames_i18n": [
"<string>"
],
"libraryId": "<string>",
"name": "<string>",
"tags": true,
"value": "<string>"
},
"categoryValueMapping": {
"displayName": "<string>",
"id": "<string>"
},
"definitionId": "<string>",
"definitionName": "<string>",
"description": "<string>",
"description_i18n": "<string>",
"dynamicValues": true,
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"folder": true,
"hidden": true,
"kind": "<string>",
"levelNames": [
"<string>"
],
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"mappingSourceField": {
"displayName": "<string>",
"id": "<string>"
},
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
[
{
"ancestors": "<array>",
"id": "<string>",
"kind": "<string>",
"leaf": true,
"leafInNotOutdatedTree": true,
"name": "<string>",
"name_i18n": "<string>",
"outdated": true,
"parentId": "<string>",
"shortName": "<string>",
"value": "<string>"
}
]
]
}
],
"checkOutBy": "<string>",
"checkoutDate": "<string>",
"classId": "<string>",
"className": "<string>",
"className_i18n": "<string>",
"coordinate": "<string>",
"creationDate": "<string>",
"deleteAuthor": "<string>",
"deleted": true,
"deletedReason": "<string>",
"deletionDate": "<string>",
"domainName": "<string>",
"driveOnlyPermissions": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"editable": true,
"evaluationError": true,
"externalSource": {
"displayName": "<string>",
"url": "<string>"
},
"fields": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"metadata": {
"attachments": [
{
"drive": {
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>"
},
"id": "<string>",
"kind": "<string>",
"mimeType": "<string>",
"name": "<string>",
"oss": {
"downloadLink": "<string>",
"kind": "<string>"
},
"size": 123,
"storageType": "OSS"
}
],
"kind": "<string>"
},
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
"<string>"
]
}
],
"folders": [
{
"editable": true,
"editableDocuments": true,
"fileId": "<string>",
"folderAodocsId": "<string>",
"folderDefinitionId": "<string>",
"folderIsRoot": true,
"kind": "<string>",
"libraryId": "<string>",
"libraryName": "<string>",
"name": "<string>",
"parentFolderAodocsId": "<string>",
"parentFolderDriveId": "<string>",
"parentFolderIsRoot": true,
"permittedOperations": [
"DELETE"
],
"resourceKey": "<string>",
"restrictedDownload": true,
"subfolders": "<array>"
}
],
"forbiddenOperations": {},
"fullSizeOfAttachments": 123,
"iconLink": "<string>",
"id": "<string>",
"incomplete": true,
"initialAuthor": "<string>",
"internalMetadata": {},
"invalidValues": true,
"kind": "<string>",
"libraryId": "<string>",
"libraryName": "<string>",
"modificationDate": "<string>",
"newPermissions": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"nextVersionName": "<string>",
"numberOfAttachments": 123,
"onlyAdminCanChangeAcl": true,
"onlyAdminCanDelete": true,
"originalVersionId": "<string>",
"permissions": [
{
"fieldNames": [
"<string>"
],
"inherited": true,
"kind": "<string>",
"name": "<string>",
"right": "NONE",
"roleNames": [
"<string>"
],
"thumbnailPhotoUrl": "<string>",
"type": "USER",
"value": "<string>"
}
],
"permittedOperations": [
"DELETE"
],
"publishedLink": "<string>",
"publishedMode": "NONE",
"referenceCatalogs": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"referenceCatalog": {
"createdAt": 123,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"modifiedAt": 123,
"name": "<string>",
"numberOfValues": 123
},
"referenceCatalogId": "<string>",
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
{
"deleted": true,
"kind": "<string>",
"leaf": true,
"name": "<string>",
"name_i18n": "<string>",
"parents": "<array>",
"value": "<string>"
}
]
}
],
"relatedDocuments": {},
"restrictedDownload": true,
"richText": "<string>",
"sections": [
{
"columnCount": 123,
"description": "<string>",
"fields": [
{
"id": "<string>",
"type": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"name_i18n": "<string>"
}
],
"sequenceId": 123,
"setModifiedDate": true,
"similarDocuments": [
{
"absoluteDuplicatesOnly": true,
"attachmentId": "<string>",
"attachmentLink": "<string>",
"attachmentMimeType": "<string>",
"attachmentName": "<string>",
"documentId": "<string>",
"documentLink": "<string>",
"documentTitle": "<string>",
"libraryId": "<string>",
"locationInfo": "<string>",
"locationType": "<string>",
"quotedText": "<string>",
"similarityScore": 123
}
],
"state": "<string>",
"stateChangeAuthors": [
{
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
}
],
"stateChangeDate": "2023-11-07T05:31:56Z",
"stateId": "<string>",
"state_i18n": "<string>",
"systemFields": [
{
"calculatedValueInfo": {
"error": true
},
"displayName": "<string>",
"editable": true,
"fieldMetadata": {},
"hidden": true,
"id": "<string>",
"kind": "<string>",
"mandatory": true,
"readOnly": true,
"value": "<string>"
}
],
"tableFields": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"columns": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"categoryDefinition": {
"description": "<string>",
"dynamicValues": true,
"folder": true,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"levelNames_i18n": [
"<string>"
],
"libraryId": "<string>",
"name": "<string>",
"tags": true,
"value": "<string>"
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"referenceCatalogDefinition": {
"createdAt": 123,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"modifiedAt": 123,
"name": "<string>",
"numberOfValues": 123
},
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
}
}
],
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
{
"categories": {},
"fieldMetadata": {},
"fields": {},
"referenceCatalogs": {},
"rowId": "<string>"
}
]
}
],
"templateDocumentId": "<string>",
"title": "<string>",
"updateAuthor": "<string>",
"updateTokenId": "<string>",
"userCanChangeAcl": true,
"userCanChangeProperties": true,
"userCanDelete": true,
"userMapping": {},
"versionCreated": "2023-11-07T05:31:56Z",
"versionCreator": "<string>",
"versionDescription": "<string>",
"versionId": "<string>",
"versionLabel": "<string>",
"versionName": "<string>",
"versionNumber": "<string>",
"viewConfiguration": {
"defaultTabToDisplay": "PROPERTIES",
"kind": "<string>",
"orientation": "PORTRAIT",
"visibleRelations": [
"<string>"
],
"visibleSections": [
"INFO"
]
},
"workflowId": "<string>"
}documentId
Post documentv1 remove attachments
Removes attachments from a document without touching its other attachments.
POST
/
document
/
v1
/
{documentId}
/
remove-attachments
cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachments": [
{
"autodeskUrn": {
"urn": "<string>"
},
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123
}
],
"kind": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments"
payload = {
"attachments": [
{
"autodeskUrn": { "urn": "<string>" },
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": ["<string>"],
"allowlisted": True,
"belongsToDomain": True,
"email": "<string>",
"googleEmailAddress": True,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": True
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123
}
],
"kind": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attachments: [
{
autodeskUrn: {urn: '<string>'},
fileId: '<string>',
iconLink: '<string>',
kind: '<string>',
link: '<string>',
md5Checksum: '<string>',
mimeType: '<string>',
name: '<string>',
permissionsOnDrive: [
{
additionalRoles: ['<string>'],
allowlisted: true,
belongsToDomain: true,
email: '<string>',
googleEmailAddress: true,
kind: '<string>',
name: '<string>',
permissionId: '<string>',
role: '<string>',
thumbnailPhotoUrl: '<string>',
type: '<string>',
withLink: true
}
],
publishedLink: '<string>',
resourceKey: '<string>',
revisionId: '<string>',
size: 123
}
],
kind: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachments' => [
[
'autodeskUrn' => [
'urn' => '<string>'
],
'fileId' => '<string>',
'iconLink' => '<string>',
'kind' => '<string>',
'link' => '<string>',
'md5Checksum' => '<string>',
'mimeType' => '<string>',
'name' => '<string>',
'permissionsOnDrive' => [
[
'additionalRoles' => [
'<string>'
],
'allowlisted' => true,
'belongsToDomain' => true,
'email' => '<string>',
'googleEmailAddress' => true,
'kind' => '<string>',
'name' => '<string>',
'permissionId' => '<string>',
'role' => '<string>',
'thumbnailPhotoUrl' => '<string>',
'type' => '<string>',
'withLink' => true
]
],
'publishedLink' => '<string>',
'resourceKey' => '<string>',
'revisionId' => '<string>',
'size' => 123
]
],
'kind' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments"
payload := strings.NewReader("{\n \"attachments\": [\n {\n \"autodeskUrn\": {\n \"urn\": \"<string>\"\n },\n \"fileId\": \"<string>\",\n \"iconLink\": \"<string>\",\n \"kind\": \"<string>\",\n \"link\": \"<string>\",\n \"md5Checksum\": \"<string>\",\n \"mimeType\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionsOnDrive\": [\n {\n \"additionalRoles\": [\n \"<string>\"\n ],\n \"allowlisted\": true,\n \"belongsToDomain\": true,\n \"email\": \"<string>\",\n \"googleEmailAddress\": true,\n \"kind\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionId\": \"<string>\",\n \"role\": \"<string>\",\n \"thumbnailPhotoUrl\": \"<string>\",\n \"type\": \"<string>\",\n \"withLink\": true\n }\n ],\n \"publishedLink\": \"<string>\",\n \"resourceKey\": \"<string>\",\n \"revisionId\": \"<string>\",\n \"size\": 123\n }\n ],\n \"kind\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachments\": [\n {\n \"autodeskUrn\": {\n \"urn\": \"<string>\"\n },\n \"fileId\": \"<string>\",\n \"iconLink\": \"<string>\",\n \"kind\": \"<string>\",\n \"link\": \"<string>\",\n \"md5Checksum\": \"<string>\",\n \"mimeType\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionsOnDrive\": [\n {\n \"additionalRoles\": [\n \"<string>\"\n ],\n \"allowlisted\": true,\n \"belongsToDomain\": true,\n \"email\": \"<string>\",\n \"googleEmailAddress\": true,\n \"kind\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionId\": \"<string>\",\n \"role\": \"<string>\",\n \"thumbnailPhotoUrl\": \"<string>\",\n \"type\": \"<string>\",\n \"withLink\": true\n }\n ],\n \"publishedLink\": \"<string>\",\n \"resourceKey\": \"<string>\",\n \"revisionId\": \"<string>\",\n \"size\": 123\n }\n ],\n \"kind\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aodocs.altirnao.com/api/document/v1/{documentId}/remove-attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attachments\": [\n {\n \"autodeskUrn\": {\n \"urn\": \"<string>\"\n },\n \"fileId\": \"<string>\",\n \"iconLink\": \"<string>\",\n \"kind\": \"<string>\",\n \"link\": \"<string>\",\n \"md5Checksum\": \"<string>\",\n \"mimeType\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionsOnDrive\": [\n {\n \"additionalRoles\": [\n \"<string>\"\n ],\n \"allowlisted\": true,\n \"belongsToDomain\": true,\n \"email\": \"<string>\",\n \"googleEmailAddress\": true,\n \"kind\": \"<string>\",\n \"name\": \"<string>\",\n \"permissionId\": \"<string>\",\n \"role\": \"<string>\",\n \"thumbnailPhotoUrl\": \"<string>\",\n \"type\": \"<string>\",\n \"withLink\": true\n }\n ],\n \"publishedLink\": \"<string>\",\n \"resourceKey\": \"<string>\",\n \"revisionId\": \"<string>\",\n \"size\": 123\n }\n ],\n \"kind\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"acl": [
{
"allow": [
"<string>"
],
"for": [
"<string>"
],
"kind": "<string>"
}
],
"attachmentFields": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"metadata": {
"attachments": [
{
"drive": {
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>"
},
"id": "<string>",
"kind": "<string>",
"mimeType": "<string>",
"name": "<string>",
"oss": {
"downloadLink": "<string>",
"kind": "<string>"
},
"size": 123,
"storageType": "OSS"
}
],
"kind": "<string>"
},
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
"<string>"
]
}
],
"attachments": [
{
"autodeskUrn": {
"status": "READY",
"urn": "<string>"
},
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123,
"storageLocation": "DRIVE"
}
],
"attachmentsToCopy": [
{
"autodeskUrn": {
"status": "READY",
"urn": "<string>"
},
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123,
"storageLocation": "DRIVE"
}
],
"categories": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"categoryDefinition": {
"description": "<string>",
"dynamicValues": true,
"folder": true,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"levelNames_i18n": [
"<string>"
],
"libraryId": "<string>",
"name": "<string>",
"tags": true,
"value": "<string>"
},
"categoryValueMapping": {
"displayName": "<string>",
"id": "<string>"
},
"definitionId": "<string>",
"definitionName": "<string>",
"description": "<string>",
"description_i18n": "<string>",
"dynamicValues": true,
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"folder": true,
"hidden": true,
"kind": "<string>",
"levelNames": [
"<string>"
],
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"mappingSourceField": {
"displayName": "<string>",
"id": "<string>"
},
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
[
{
"ancestors": "<array>",
"id": "<string>",
"kind": "<string>",
"leaf": true,
"leafInNotOutdatedTree": true,
"name": "<string>",
"name_i18n": "<string>",
"outdated": true,
"parentId": "<string>",
"shortName": "<string>",
"value": "<string>"
}
]
]
}
],
"checkOutBy": "<string>",
"checkoutDate": "<string>",
"classId": "<string>",
"className": "<string>",
"className_i18n": "<string>",
"coordinate": "<string>",
"creationDate": "<string>",
"deleteAuthor": "<string>",
"deleted": true,
"deletedReason": "<string>",
"deletionDate": "<string>",
"domainName": "<string>",
"driveOnlyPermissions": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"editable": true,
"evaluationError": true,
"externalSource": {
"displayName": "<string>",
"url": "<string>"
},
"fields": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"metadata": {
"attachments": [
{
"drive": {
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>"
},
"id": "<string>",
"kind": "<string>",
"mimeType": "<string>",
"name": "<string>",
"oss": {
"downloadLink": "<string>",
"kind": "<string>"
},
"size": 123,
"storageType": "OSS"
}
],
"kind": "<string>"
},
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
"<string>"
]
}
],
"folders": [
{
"editable": true,
"editableDocuments": true,
"fileId": "<string>",
"folderAodocsId": "<string>",
"folderDefinitionId": "<string>",
"folderIsRoot": true,
"kind": "<string>",
"libraryId": "<string>",
"libraryName": "<string>",
"name": "<string>",
"parentFolderAodocsId": "<string>",
"parentFolderDriveId": "<string>",
"parentFolderIsRoot": true,
"permittedOperations": [
"DELETE"
],
"resourceKey": "<string>",
"restrictedDownload": true,
"subfolders": "<array>"
}
],
"forbiddenOperations": {},
"fullSizeOfAttachments": 123,
"iconLink": "<string>",
"id": "<string>",
"incomplete": true,
"initialAuthor": "<string>",
"internalMetadata": {},
"invalidValues": true,
"kind": "<string>",
"libraryId": "<string>",
"libraryName": "<string>",
"modificationDate": "<string>",
"newPermissions": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"nextVersionName": "<string>",
"numberOfAttachments": 123,
"onlyAdminCanChangeAcl": true,
"onlyAdminCanDelete": true,
"originalVersionId": "<string>",
"permissions": [
{
"fieldNames": [
"<string>"
],
"inherited": true,
"kind": "<string>",
"name": "<string>",
"right": "NONE",
"roleNames": [
"<string>"
],
"thumbnailPhotoUrl": "<string>",
"type": "USER",
"value": "<string>"
}
],
"permittedOperations": [
"DELETE"
],
"publishedLink": "<string>",
"publishedMode": "NONE",
"referenceCatalogs": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"referenceCatalog": {
"createdAt": 123,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"modifiedAt": 123,
"name": "<string>",
"numberOfValues": 123
},
"referenceCatalogId": "<string>",
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
{
"deleted": true,
"kind": "<string>",
"leaf": true,
"name": "<string>",
"name_i18n": "<string>",
"parents": "<array>",
"value": "<string>"
}
]
}
],
"relatedDocuments": {},
"restrictedDownload": true,
"richText": "<string>",
"sections": [
{
"columnCount": 123,
"description": "<string>",
"fields": [
{
"id": "<string>",
"type": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"name_i18n": "<string>"
}
],
"sequenceId": 123,
"setModifiedDate": true,
"similarDocuments": [
{
"absoluteDuplicatesOnly": true,
"attachmentId": "<string>",
"attachmentLink": "<string>",
"attachmentMimeType": "<string>",
"attachmentName": "<string>",
"documentId": "<string>",
"documentLink": "<string>",
"documentTitle": "<string>",
"libraryId": "<string>",
"locationInfo": "<string>",
"locationType": "<string>",
"quotedText": "<string>",
"similarityScore": 123
}
],
"state": "<string>",
"stateChangeAuthors": [
{
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
}
],
"stateChangeDate": "2023-11-07T05:31:56Z",
"stateId": "<string>",
"state_i18n": "<string>",
"systemFields": [
{
"calculatedValueInfo": {
"error": true
},
"displayName": "<string>",
"editable": true,
"fieldMetadata": {},
"hidden": true,
"id": "<string>",
"kind": "<string>",
"mandatory": true,
"readOnly": true,
"value": "<string>"
}
],
"tableFields": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"columns": [
{
"calculatedSettingsInfo": {},
"calculatedValueInfo": {
"error": true
},
"categoryDefinition": {
"description": "<string>",
"dynamicValues": true,
"folder": true,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"levelNames_i18n": [
"<string>"
],
"libraryId": "<string>",
"name": "<string>",
"tags": true,
"value": "<string>"
},
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"referenceCatalogDefinition": {
"createdAt": 123,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"modifiedAt": 123,
"name": "<string>",
"numberOfValues": 123
},
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
}
}
],
"description": "<string>",
"description_i18n": "<string>",
"editable": true,
"fieldId": "<string>",
"fieldMetadata": {},
"fieldName": "<string>",
"fieldName_i18n": "<string>",
"hidden": true,
"kind": "<string>",
"lookupConfiguration": {
"sourceConfiguration": {
"displaySearchProperties": [
"<string>"
],
"freezeStates": [
"<string>"
],
"scope": {
"id": "<string>",
"type": "CLASS"
},
"synchronizationRule": "NEVER",
"type": "DOCUMENT"
},
"targetConfiguration": {
"lookupKey": "<string>",
"sourceFieldId": "<string>",
"sourceFieldName": "<string>"
}
},
"lookupValueInfo": {
"displayName": "<string>",
"error": true,
"errorMessage": "<string>"
},
"mandatory": true,
"multiple": true,
"placeholderText": "<string>",
"rank": 123,
"readOnly": true,
"type": "STRING",
"validation": {
"audience": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"type": "USER",
"value": "<string>"
},
"errorMessage": "<string>",
"kind": "<string>",
"lowerLimit": 123,
"lowerLimitInclusive": true,
"mandatoryLeaf": true,
"regex": "<string>",
"upperLimit": 123,
"upperLimitInclusive": true
},
"values": [
{
"categories": {},
"fieldMetadata": {},
"fields": {},
"referenceCatalogs": {},
"rowId": "<string>"
}
]
}
],
"templateDocumentId": "<string>",
"title": "<string>",
"updateAuthor": "<string>",
"updateTokenId": "<string>",
"userCanChangeAcl": true,
"userCanChangeProperties": true,
"userCanDelete": true,
"userMapping": {},
"versionCreated": "2023-11-07T05:31:56Z",
"versionCreator": "<string>",
"versionDescription": "<string>",
"versionId": "<string>",
"versionLabel": "<string>",
"versionName": "<string>",
"versionNumber": "<string>",
"viewConfiguration": {
"defaultTabToDisplay": "PROPERTIES",
"kind": "<string>",
"orientation": "PORTRAIT",
"visibleRelations": [
"<string>"
],
"visibleSections": [
"INFO"
]
},
"workflowId": "<string>"
}Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
Scopes
Body
application/json
Response
200 - application/json
A ApiDocument response
The list of permitted operations to the current user (read-only field)
Available options:
DELETE, RENAME, MODIFY_ACL, VIEW_ACL, MOVE_TO_ANOTHER_FOLDER, EXPORT, EDIT_PROPERTIES, COPY, CREATE_COPY_FROM, EXPORT_COPY, CREATE_NEW_VERSION, ATTACHMENT_VERSION_REPLACE, ATTACHMENT_VERSION_CREATE, ADD_NEW_ATTACHMENT_FROM_DRIVE, ATTACH_ENCRYPTED_FILE, OPEN_IN_OFFICE, PUBLISH, UNPUBLISH, RESTORE_REVISION, REVERT_TO_THIS_REVISION, CREATE_RELATED_DOCUMENT, DOWNLOAD, DOWNLOAD_ATTACHMENT, NOTIFY_USERS, CHECK_IN, CHECK_OUT, DISCARD_CHECKOUT, FORCE_DISCARD_CHECKOUT, EDIT_TAGS, PERFORM_HUMAN_WORKFLOW_ACTIONS, VIEW_DRAFT, SHARE_PUBLICLY, VIEW_HISTORY, VIEW_VERSIONS, ADD_COMMENT, SET_TEMPLATE_AS_DEFAULT, SET_TEMPLATE_VISIBILITY_SCOPE, DELETE_COMMENT, KNOW_DRAFT, FORCE_PARALLEL_TRANSITION, CHANGE_WORKFLOW_STATE_DIRECTLY, SEE_HIDDEN_FIELDS, VIEW_TRASHED_ITEM, UNTRASH, PERMANENTLY_DELETE, VIEW_DRIVEONLY_ACL, MODIFY_DRIVEONLY_ACL, NON_GOOGLE_USERS_SUPPORT, SUPPORTS_LIVE_EVALUATION, ALLOWLIST_NOT_ENFORCED, CREATE_SUBFOLDER, CREATE_DOCUMENT_IN_THIS_FOLDER, IMPORT_FOLDERS_FROM_DRIVE_TO_THIS_FOLDER, ADD_NEW_ATTACHMENT_FROM_OSS, OPEN_IN_DRIVE, COPY_FOLDER_TREE, CHECK_FOLDER, MOVE_TO_DRIVE, COPY_TO_DRIVE, MOVE_TO_ANOTHER_LIBRARY, MOVE_TO_ANOTHER_CLASS, COPY_TO_ANOTHER_CLASS, COPY_ATTACHMENT, COPY_TO_ANOTHER_LIBRARY, EDIT_ATTACHMENT